Loading...
Searching...
No Matches
Opm::BlackOilDispersionExtensiveQuantities< TypeTag, true > Class Template Reference

Provides the quantities required to calculate dispersive mass fluxes. More...

`#include <blackoildispersionmodule.hh>`

## Public Types

using | ScalarArray = std::array<Scalar, numPhases>

## Public Member Functions

Scalar | dispersivity () const
| The dispersivity of the face.
Scalar | normVelocityAvg (unsigned phaseIdx) const
| The effective velocity coefficient in a fluid phase at the face's integration point.
const auto & | normVelocityAvg () const

## Static Public Member Functions

static void | update (ScalarArray &normVelocityAvg, const IntensiveQuantities &intQuantsInside, const IntensiveQuantities &intQuantsOutside)

## Protected Member Functions

template<class Context, class FluidState>
void | updateBoundary_ (const Context &, unsigned, unsigned, const FluidState &)

## Detailed Description

template<class TypeTag>
class Opm::BlackOilDispersionExtensiveQuantities< TypeTag, true >

Provides the quantities required to calculate dispersive mass fluxes.

## Member Function Documentation

## dispersivity()

template<class TypeTag>

Scalar Opm::BlackOilDispersionExtensiveQuantities< TypeTag, true >::dispersivity | ( |  | ) | const

inline

The dispersivity of the face.

## normVelocityAvg()

template<class TypeTag>

Scalar Opm::BlackOilDispersionExtensiveQuantities< TypeTag, true >::normVelocityAvg | ( | unsigned | phaseIdx | ) | const

inline

The effective velocity coefficient in a fluid phase at the face's integration point.

The documentation for this class was generated from the following file:

- opm/models/blackoil/blackoildispersionmodule.hh